#!/usr/bin/env python3

import logging

from rutabaga.auth import delete_invalid_tokens

logging.basicConfig(
    filemode='a',
    filename='/srv/rutabaga/logs/rutabaga-purge.log',
    format='%(asctime)s, %(name)s %(levelname)s %(message)s',
    level=logging.INFO
    )
logger = logging.getLogger('BuilderProxyApiService')

purged_tokens = delete_invalid_tokens()
if purged_tokens:
    logger.info('%d tokens purged.' % purged_tokens)
